﻿a:hover, a:active, a:focus {
    outline: 0;
}

/*=============================================================================
    BOOTSTRAP OVERRIDES
=============================================================================*/

html {
    font-size: 14px;
}

body {
    background-color: #2D2D2D;
    -ms-content-zooming: none;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
}

h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
    margin-top: 10px;
    margin-bottom: 10px;
}

h2, .h2 {
    font-size: 30px;
}

h5, .h5 {
    font-size: 14px;
}

/*STICKY FOOTER*/
body.stickyFooter {
    display: flex !important;
    flex-direction: column !important;
    min-height: 100vh;
    height: 100vh;
}

.flexform {
    display: flex;
    flex-direction: column;
    flex: 1 0 auto;
}

.flex-fill {
    flex: 1 1 auto !important;
}
/*END STICKY FOOTER*/

/*=============================================================================
    ACCORDION PANEL HEADER
==============================================================================*/

.panel-title a {
    display: block;
    padding: 10px 15px;
    margin: -10px -15px;
    cursor: pointer;
}

    .panel-title a:hover, .panel-title a:active, .panel-title a:visited, .panel-title a:focus {
        text-decoration: none;
    }

/*=============================================================================
    HELP CARD AND COLLAPSE PANEL
==============================================================================*/

.card {
    margin-bottom: 20px;
}

.panel-group .card {
    margin-bottom: 6px;
}

.card-header {
    font-size: 18px;
}

    .card-header p {
        font-size: 14px;
    }

    .card-header.alert-info {
        font-size: 14px;
    }

.card-body {
}

.card-collapse {
    font-size: 16px;
}

    a.card-collapse,
    .card-collapse a {
        color: #212529;
    }

        a.card-collapse:hover {
            text-decoration: none;
        }

.card-header.card-collapse {
    cursor: pointer;
}

/*=============================================================================
    BASC BANNER
=============================================================================*/
#wide-banner {
    background-color: #078463;
}

/*#wide-banner a img {
    display: block;
    margin: auto;
}*/

/*=============================================================================
    NAVBAR
=============================================================================*/

.navbar {
    margin-bottom: 0;
    border-radius: 0;
    padding-bottom: 0px;
}

.navbar-dark {
    background-color: #078463;
    border-color: #078463;
}

    .navbar-dark .navbar-nav .nav-link {
        color: #ffffff;
    }

        .navbar-dark .navbar-nav .nav-link:focus,
        .navbar-dark .navbar-nav .nav-link:hover {
            color: #ffffff;
        }

.navbar-expand-lg .navbar-nav .nav-link {
    padding: .95rem .95rem;
    white-space: nowrap;
}

.bg-dark, header {
    background-color: #078463 !important;
}

.navbar-dark .dropdown-menu {
    background-color: #078463;
    border-color: #078463;
    color: #ffffff;
}

    .navbar-dark .dropdown-menu > a {
        background-color: #078463;
        border-color: #078463;
        color: #ffffff;
    }

        .navbar-dark .dropdown-menu > a:hover {
            background-color: #179473;
            border-color: #179473;
            color: #ffffff;
        }

.navbar-dark .navbar-nav > .open > a,
.navbar-dark .navbar-nav > .open > a:hover,
.navbar-dark .navbar-nav > .open > a:focus {
    background-color: #179473;
    border-color: #179473;
    color: #ffffff;
}

.navbar-dark .navbar-nav .open .dropdown-menu > a {
    background-color: #078463;
    border-color: #078463;
    color: #ffffff;
}

    .navbar-dark .navbar-nav .open .dropdown-menu > a:hover {
        background-color: #179473;
        border-color: #179473;
        color: #ffffff;
    }

.navbar-dark .navbar-nav > li > a {
    color: white;
    font-weight: bold;
}

    .navbar-dark .navbar-nav > li > a:hover {
        background-color: #179473;
        border-color: #179473;
        color: #ffffff;
    }

    .navbar-dark .navbar-nav > li > a:focus {
        color: #ffffff;
    }

.nav-pills > li > a {
    border-radius: 0;
}

.navbar-dark .navbar-collapse, .navbar-dark .navbar-form {
    border-color: #078463;
}

.navbar-dark .navbar-toggle:hover, .navbar-dark .navbar-toggle:focus {
    background-color: #179473;
}

.navbar-dark .navbar-toggle .icon-bar {
    background-color: #CCCCCC;
}

/*=============================================================================
    LIST GROUPS
==============================================================================*/

.list-group-item.active, .list-group-item.active:hover, .list-group-item.active:focus {
    background-color: #078463;
}


/*=============================================================================
    FORM CONTROLS
==============================================================================*/

.form-horizontal .control-label.text-left {
    text-align: left;
}

.btn-basc {
    /* margin:2px 0px;*/
    background-color: #078463;
    color: white;
}

    .btn-basc:hover,
    .btn-basc:focus {
        background-color: #179473;
        color: #ffffff;
    }

.btn-basc-warning {
    background-color: #F9A937;
    color: #333333;
}

.scroll-sm .list-group-item {
    padding: 5px 10px;
}

.form-control.col-4 {
    width: 33.33333%;
}

/*=============================================================================
    MAIN CONTENT PANEL
=============================================================================*/

.content {
    background-color: white;
    padding: 20px 20px;
}

@media (max-width: 767px) {
    .content {
        margin-left: 0px;
        margin-right: 0px;
    }
}

/*=============================================================================
    MODAL
=============================================================================*/

.scroll {
    max-height: 50em;
    overflow-y: auto;
}

.scroll-sm {
    max-height: 20em;
    overflow-y: auto;
}

/*=============================================================================
    SHOOT WIZARD
=============================================================================*/

.wizard-nav {
    margin-bottom: 10px;
}

.btn-navigate {
    background-color: #5a5655;
    color: #fff;
}

.wizard > ul {
    list-style: outside none none;
}

    .wizard > ul > li a {
        border: 0 none !important;
        color: #ffffff !important;
        white-space: nowrap;
    }

        .wizard > ul > li a.active {
            background-color: #FF9500 !important;
        }

            .wizard > ul > li a.active:hover {
                background-color: #FFA540 !important;
            }

        .wizard > ul > li a.next {
            background-color: #AAAAAA !important;
        }

            .wizard > ul > li a.next:hover {
                background-color: #BBBBBB !important;
            }

        .wizard > ul > li a.previous {
            background-color: #078463 !important;
        }

            .wizard > ul > li a.previous:hover {
                background-color: #089473 !important;
            }

.wizard .nav-pills .nav-link {
    border-radius: 0px !important;
}

/*=============================================================================
    FOOTER
=============================================================================*/

.footer {
    color: #666666;
    background-color: #1F1F1F;
    border-top: 5px solid #666666;
    padding: 20px;
}

    .footer a {
        font-weight: bold;
        color: #666666;
    }

/*=============================================================================
    LISTVIEWS
=============================================================================*/

.row-listview-header {
    border-top: 1px solid #ddd;
    font-weight: bold;
    white-space: nowrap;
}

.row-listview {
    padding-top: 10px;
    border-bottom: 1px solid #ddd;
}

.row-listview-alternate {
    background-color: #f9f9f9;
}

.datapager {
    margin-top: 10px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

/*=============================================================================
    FRONT PAGE TILED IMAGE MENU
=============================================================================*/

.tile {
    margin-top: 10px;
    /* margin-bottom: 10px;*/
    background-color: aliceblue;
}

.tile-caption {
    position: absolute;
    width: 80%;
    top: 20%;
    left: 10%;
    color: white;
}

.tile-caption-sm {
    width:100%;
    text-align:center;
    padding: 0px 5%;
}

@media (max-width: 575.98px) {
    .tile-caption-sm {
        position: absolute;
        width: 80%;
        top: 20%;
        left: 10%;
        padding: 0 0;
        text-align:left
    } 
}

.tile-link {
    display: inline-block;
    width: 100%;
    height: 130px;
    border-radius: 5px;
}

@media (min-width: 576px) {
    .tile-link {
        height: 150px;
    }
}
@media (min-width: 768px) {
    .tile-link {
        height: 175px;
    }
}
@media (min-width: 992px) {
    .tile-link {
        height: 200px;
    }
}
@media (min-width: 1200px) {
    .tile-link {
        height: 225px;
    }
}

.tile-link-sm {
    display:flex;
    justify-items:center;
    align-items:center;
    color: white;
    height: 130px;
    border-radius: 5px;
    text-decoration:none;
    width:100%;
}
.tile-link-sm:hover {
    text-decoration: none;
    color: white;
}

.tile-link-light-orange {
    background-color: #C27E00;
}

.tile-link-dark-orange {
    background-color: #C14F00;
}

.tile-link-blue {
    background-color: #1E4686;
}

.tile-link-light-grey {
    background-color: #8496B0;
}

.tile-link-dark-grey {
    background-color: #595959;
}

.tile-link-light-green {
    background-color: #70AD47;
}

.tile-link-dark-green {
    background-color: #2A8462;
}

.tile-caption h2, .tile-caption p, .tile-link-sm h2 {
    font-weight: bolder;
}

/*md*/
@media (max-width: 1199px) {
    #pnlAnonUser .tile-caption {
        /*top: 0px;*/
    }

        #pnlAnonUser .tile-caption h2 {
            font-size: 24px;
        }
}

@media (max-width: 767px) {

    #pnlAnonUser .tile-caption {
        left: 20px;
        /*top: 5px;*/
    }

        #pnlAnonUser .tile-caption h2 {
            font-size: 16px;
        }

        #pnlAnonUser .tile-caption p {
            font-size: 12px;
        }

    #pnlAnonUser .homePageImageContainer {
        padding-left: 10px !important;
        padding-right: 10px !important;
    }
}

.homePageImageContainer {
    position: relative
}

    .homePageImageContainer a {
        display: inline-block;
        width: 100%;
        height: 100%;
    }

.homePageImageMembersOnly {
    background-image: url('./Images/BASCLogoXS.png');
    background-repeat: no-repeat;
    position: absolute;
    bottom: 20px;
    right: 20px;
    height: 70px;
    width: 190px;
    background-color: #ffffff;
    border-radius: 6px;
    font-weight: bold;
    font-size: 1.7rem;
    padding: 6px;
    z-index: 99;
}

    .homePageImageMembersOnly > div {
        margin-top: 40px;
    }

.homePageImageContainer img.webuser {
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    filter: grayscale(100%);
    opacity: 0.9;
}


/*=============================================================================
    BOOTSTRAP MULTISELECT
=============================================================================*/
/* dropdown should be at least 100%*/
.multiselect-container {
    min-width: 100%;
}

    .multiselect-container .checkbox {
        font-weight: normal;
    }

.multiselect-group {
    margin-top: 10px;
}

/*=============================================================================
    BUTTONS and BUTTON GROUPS
=============================================================================*/


.btn-group {
    white-space: nowrap;
}

    .btn-group > .btn {
        float: inherit;
    }

        .btn-group > .btn + .btn {
            margin-left: -4px;
        }

.btn-share {
    min-width: 8em;
}

.btn:focus, .btn:active:focus, .btn.active:focus, .btn.focus, .btn.focus:active, .btn.active.focus {
    outline: none;
    /*outline-offset: -2px;*/
}

.btn-light {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}

    .btn-light:hover {
        color: #333;
        background-color: #e6e6e6;
        border-color: #adadad;
    }

    .btn-light:focus, .btn-light.focus {
        color: #333;
        background-color: #e6e6e6;
        border-color: #8c8c8c;
    }

    .btn-light:active, .btn-light.active, .open > .dropdown-toggle.btn-light {
        color: #333;
        background-color: #e6e6e6;
        border-color: #adadad;
    }

/*.btn-basc {
    color: #ffffff;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    background-color: #078463;
    background-image: -moz-linear-gradient(top, #179473, #078463);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#179473), to(#078463));
    background-image: -webkit-linear-gradient(top, #179473, #078463);
    background-image: -o-linear-gradient(top, #179473, #078463);
    background-image: linear-gradient(to bottom, #179473, #078463);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc', endColorstr='#ff0044cc', GradientType=0);
    border-color: #078463;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
}*/


/*=============================================================================
    REPORTS
=============================================================================*/
/* read only hack for quarries dropdown when crown estate report*/
#reportQuarriesContainer {
    position: relative;
}

#reportQuarriesBlocker,
#reportQuarries {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
}

#reportQuarriesBlocker {
    z-index: 10;
    opacity: 0.5;
    background: #ccc;
}

#reportResults td {
    white-space: nowrap;
}

#reportResults th {
    text-align: center;
    white-space: nowrap;
}

.pre-scrollable {
    max-height: 500px;
}

#reportResults td.comment {
    white-space: pre-wrap;
    min-width: 300px;
}

@media (min-width: 768px) {
    .pull-right-sm {
        float: right;
    }
}

.changedRow {
    background-color: #F9A937;
}


/*=============================================================================
    REGISTRATION
=============================================================================*/
.has-error {
    color: red;
}


#mapscreen {
    margin-bottom: 20px;
}

.legend_ngr {
    display: inline-block;
    border: 2px solid #ff9933;
    background-color: #ffcc66;
    border-radius: 50%;
    height: 12px;
    width: 12px;
    /*position:relative;
    top:2px;*/
}

.legend_other {
    border-color: #ff9933;
    background-color: #ffcc66;
}

.legend_clubshoot {
    border-color: #5555FF;
    /*border-color: rgba(85,85,255,0.5);*/
    background-color: rgba(85,85,255,0.5);
}

.legend_sharedshoot {
    border-color: #55FF55;
    /*border-color: rgba(85,255,85,0.5);*/
    background-color: rgba(85,255,85,0.5);
}

.legend_shoot {
    border-color: #ff9933;
    background-color: #ffcc66;
}


#body_valEmailExists {
    display: inline-block;
}

.help-block {
    font-size: 1.1rem;
}

@media (max-width: 768px) {
    .container {
        max-width: 100%;
    }
}

span.form-check-input {
    position: relative;
    margin-top: 0px;
    margin-left: 0px;
}

/*.form-check-input input {
    position: absolute;
    margin-top: .3rem;
    margin-left: -1.25rem;
}*/

label {
    margin-bottom: 0.25rem;
}

.form-group {
    margin-bottom: 0.9rem;
}

.btn-primary {
    background-color: #337ab7;
    border-color: #2e6da4;
}

    .btn-primary:hover {
        background-color: #286090;
        border-color: #204d74;
    }

    .btn-primary:focus, .btn-primary.focus {
        background-color: #286090;
        border-color: #122b40;
    }

    .btn-primary:active, .btn-primary.active, .open > .dropdown-toggle.btn-primary {
        background-color: #286090;
        border-color: #204d74;
    }

label {
    font-weight: bold;
}

.checkbox label, .radio label, .form-check label {
    font-weight: normal;
}

.datepicker {
    padding: 8px 8px;
    padding: 8px 8px;
}

/* font-awesome fix ?*/
.fas {
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


/*REPORT */
tr.success td,
tr.success th {
    background-color: #dff0d8;
}


.modal-dialog {
    overflow-y: initial !important
}

.modal-body {
    max-height: 80vh;
    overflow-y: auto;
}

.bootstrap-datetimepicker-widget table td {
    height: 34px;
    line-height: 34px;
    width: 34px;
}

    .bootstrap-datetimepicker-widget table td span {
        width: 34px;
        height: 34px;
        line-height: 34px;
    }

.bootstrap-datetimepicker-widget .timepicker-hour, .bootstrap-datetimepicker-widget .timepicker-minute, .bootstrap-datetimepicker-widget .timepicker-second {
    width: 34px;
}

.table-condensed td, .table-condensed th {
    padding: 0.3rem;
}

.required_field {
    color: red;
    font-weight: bold;
    font-size:1.5rem;
    margin-left:3px;
}
